Subject: bug#48585: 28.0.50; Missing Edebug instrumentation for some 'if-let' variants

From: Michael Heerdegen <[email-masked]>
Date: Sun, 17 Jul 2022 02:13:22 +0200

Stefan Monnier via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> As someone who doesn't much like `if-let`, I'll let someone else figure
> out how to that somewhat cleanly.  Also to be honest I also wonder if
> that would be worthwhile.

It's easy to get rid of the `x` occurrence that *binds* (in the
expansion) by changing `internal--build-binding' - the name of the
binding symbol doesn't matter in this case.

Then I guess we could use this `&interpose' Edebug spec but it's
undocumented and not really trivial to understand.  But looks like the
right tool for this case... (?)

Michael.